function FormatCommas(numVar)

	if type(numVar) == 'number' then
		errorFlag = false
		local prefix, number, postfix = string.match(numVar, '^([^%d]*%d)(%d*)(.-)$')
		return prefix..(number:reverse():gsub('(%d%d%d)', '%1,'):reverse())..postfix
	elseif not errorFlag then
		errorFlag = true
		print('Error: Function FormatCommas() expects a number value, got a '..type(numVar)..' value.')
	end
   
	return -1
   
end