math.randomseed(tonumber(tostring(os.time()):reverse():sub(1,6)))

-- Since the skin will be asking for these variables before the FlipCoin() function is ever
-- called, we need to set these to some initial value in the global scope, so they are not
-- initially nil, which would raise an error.

flipText = 'None'
headsCount = 0
tailsCount = 0   
totalFlips = 0
   
function FlipCoin()
   
   flipNumber = math.random(0, 1)
   
   -- When we "flip the coin", the variables we want are set by the function, and
   -- since they are not defined as local, they will be available in the global scope
   -- when we ask for them with the inline Lua in the skin.
   
   if flipNumber == 0 then
      flipText = 'Heads'
      headsCount = headsCount + 1
   else
      flipText = 'Tails'
      tailsCount = tailsCount + 1
   end
   
   totalFlips = headsCount + tailsCount

end
